Notify API reference

Notify API · Notification-Types

get/v1/workspaces/{workspace_id}/notification-types/{type_id}Auth

Get a notification type

Path parameters

workspace_id*string · uuid

Id of the workspace.

type_id*string · uuid

Id of the type.

Response · 200 The type.

id*string · uuid

Type id.

key*string

Key used when sending.

Example: "invoice.paid"

name*string

Display name.

description*string

Description.

category_id*string · uuid

Category id.

category_key*string

Category key.

routing*object

Routing.

critical*boolean

Whether the type is critical.

ttl_seconds*integer

Time to live of a delivery, in seconds.

default_locale*string

Fallback locale.

email_quiet_hours*boolean

Whether email is held during quiet hours.

throttle*object

Per-recipient cap.

archived_at*string · date-time

When archived; archived types cannot be sent.

version*integer

Increases on every change of the type.

templates*array

The templates (bodies under `…/templates/{channel}/{locale}`).

created_at*string · date-time

Created.

updated_at*string · date-time

Last change.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notification-types/{type_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "key": "invoice.paid",
  "name": "string",
  "description": "string",
  "category_id": "00000000-0000-0000-0000-000000000000",
  "category_key": "string",
  "routing": {},
  "critical": false,
  "ttl_seconds": 0,
  "default_locale": "string",
  "email_quiet_hours": false,
  "throttle": {},
  "archived_at": "2026-01-01T00:00:00.000Z",
  "version": 0,
  "templates": [
    {
      "channel": {},
      "locale": "pt-PT",
      "version": 0,
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}